# pcntl_async_signals

(PHP 7 >= 7.1.0)

pcntl_async_signals — Enable/disable asynchronous signal handling or return the old setting

### Description

pcntl_async_signals ([ bool `$on` = `NULL` ] ) : bool

If the `on` parameter is omitted, pcntl_async_signals() returns whether asynchronous signal handling is enabled. Otherwise, asynchronous signal handling is enabled or disabled.

### Parameters

`on`

  Whether asynchronous signal handling should be enabled.

### Return Values

When used as getter (that is without the optional parameter) it returns whether asynchronous signal handling is enabled. When used as setter (that is with the optional parameter given), it returns whether asynchronous signal handling was enabled before the function call.

### See Also

- declare